#if !defined(AFX_DLGNOTEWRITER_H__FF2BFEA3_1EBA_11D3_9F4A_0C8A06C10627__INCLUDED_)
#define AFX_DLGNOTEWRITER_H__FF2BFEA3_1EBA_11D3_9F4A_0C8A06C10627__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgNoteWriter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgNoteWriter dialog

class CDlgNoteWriter : public CDialog
{
// Construction
public:
	void Transpose(int nSemitones);
	void GetDataFromSong();
	void UpdateString();
	signed char m_nKey[7]; // 0=normal, 1=sharp, -1=flat
	char* m_pWave;
	int Note2Y(const CNote& note);
	CNote Y2Note(int y);
	void DrawNotes(CDC* pdc);
	CDlgNoteWriter(CWnd* pParent = NULL);   // standard constructor
	~CDlgNoteWriter();
	CSong m_song;

// Dialog Data
	//{{AFX_DATA(CDlgNoteWriter)
	enum { IDD = IDD_NOTE_WRITER };
	CScrollBar	m_scroll;
	CString	m_sSongName;
	CString	m_sData;
	int		m_nNoteLen;
	int		m_nTempo;
	CString	m_sComments;
	int		m_nMode;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgNoteWriter)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DeleteWave();
	void OnLButtonUpAppend(UINT nFlags, CPoint point);
	void OnLButtonUpModify(UINT nFlags, CPoint point);
	void OnRButtonUpAppend(UINT nFlags, CPoint point);
	void OnRButtonUpModify(UINT nFlags, CPoint point);

	// Generated message map functions
	//{{AFX_MSG(CDlgNoteWriter)
	afx_msg void OnPaint();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnReset();
	virtual void OnOK();
	afx_msg void OnPlay();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnNwHelpInstruc();
	afx_msg void OnTransDown();
	afx_msg void OnTransDownOct();
	afx_msg void OnTransUp();
	afx_msg void OnTransUpOct();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSongPlay();
	afx_msg void OnSongStop();
	afx_msg void OnNwNotesDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bActivated;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGNOTEWRITER_H__FF2BFEA3_1EBA_11D3_9F4A_0C8A06C10627__INCLUDED_)
